#ifndef __INC_HTTPSession
#define __INC_HTTPSession

#include <HTTPGlobal.h>

class HTTPCookie {
	char*	domain;
	char*	path;
	char*  name;
	char*  value;
	bool	secure;
	time_t  expires;
}

class HTTPCookieManager {

private:
	LinkedList<HTTPCookie>		*m_cookies;
	
	HTTPCookie* findCookie(	char* domain, char* path, char* name);
	
public:			
	void 		setCookie(char* domain, char* path, char* name, char* value, time_t expires, bool *secure);
	HTTPCookie* getCookie(char* domain, char* path, char* name);
	
	void deleteCookie(char* domain, char* path, char* name);
	
	HTTPCookie **getCookiesForURI(char* domain, char* path);
}



class HTTPSession
{
	private:
		LinkedList<HTTPConnection>  *m_connections;
		
	
	public:
		
}
